Bug 15465 - README for github
Summary: README for github
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Gus Ellerm
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-05 09:28 UTC by Martin Renvoize
Modified: 2017-07-31 11:03 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
15465 - Created README.md file for github (806 bytes, patch)
2016-01-20 20:46 UTC, Gus Ellerm
Details | Diff | Splinter Review
15465 - Created README.md file for github (910 bytes, patch)
2016-01-20 21:27 UTC, Gus Ellerm
Details | Diff | Splinter Review
15465 - Created README.md file for github (933 bytes, patch)
2016-01-20 21:35 UTC, Gus Ellerm
Details | Diff | Splinter Review
15465 - Created README.md file for github (983 bytes, patch)
2016-01-28 13:00 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 15465 - Created README.md file for github (1.02 KB, patch)
2016-02-05 13:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15465 [QA Followup] - Update wording, switch logo, add links (1.76 KB, patch)
2016-02-05 13:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15465 [QA Followup] - Update wording, switch logo, add links (1.71 KB, patch)
2016-02-05 14:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15465: Fix typo in bugs.k-c.org (917 bytes, patch)
2017-05-26 14:46 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2016-01-05 09:28:14 UTC
This doesn't really fit in here, but I couldn't see a better category for it.

We have a github presence in the form of a git mirror, and that presence is getting the odd pull request through. We aught to have a README.md for github display to direct developer who find Koha via github to the main resources and explicitly state that pull requests are not accepted via github.
Comment 1 Gus Ellerm 2016-01-20 20:46:13 UTC Comment hidden (obsolete)
Comment 2 Gus Ellerm 2016-01-20 21:00:54 UTC
Just adding some formatting to the file now
Comment 3 Gus Ellerm 2016-01-20 21:27:59 UTC Comment hidden (obsolete)
Comment 4 Gus Ellerm 2016-01-20 21:35:09 UTC Comment hidden (obsolete)
Comment 5 Mirko Tietgen 2016-01-28 13:00:29 UTC Comment hidden (obsolete)
Comment 6 Mirko Tietgen 2016-01-28 13:01:24 UTC
I am not sure about the logo choice, maybe it would be better to use the regular black-on-white one?
Comment 7 Jonathan Druart 2016-01-29 11:47:39 UTC
It would be good to add a link to
  https://wiki.koha-community.org/wiki/SubmitingAPatch
and/or
  https://wiki.koha-community.org/wiki/Development_workflow

(I let the choice of the logo to someone else)
Comment 8 Kyle M Hall 2016-02-05 13:59:25 UTC
Created attachment 47697 [details] [review]
Bug 15465 - Created README.md file for github

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Kyle M Hall 2016-02-05 13:59:32 UTC Comment hidden (obsolete)
Comment 10 Kyle M Hall 2016-02-05 14:01:07 UTC
Created attachment 47699 [details] [review]
Bug 15465 [QA Followup] - Update wording, switch logo, add links

* Changed wording to not be github-centric
* Added suggested links
* Switched to more traditional logo

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 11 Kyle M Hall 2016-02-05 14:02:55 UTC
Whoever controls the Koha github account should also disable the wiki and bugtracker features for it.
Comment 12 Mirko Tietgen 2016-02-05 14:05:46 UTC
Added Mason because I think he runs the github page.
Comment 13 Brendan Gallagher 2016-02-24 04:15:44 UTC
Pushed to master - should be in the May 2016 release. Thanks!
Comment 14 Jonathan Druart 2017-05-26 14:46:26 UTC
Created attachment 63744 [details] [review]
Bug 15465: Fix typo in bugs.k-c.org
Comment 15 Jonathan Druart 2017-05-26 14:46:44 UTC
(In reply to Jonathan Druart from comment #14)
> Created attachment 63744 [details] [review] [review]
> Bug 15465: Fix typo in bugs.k-c.org

Pushed to master.
Comment 16 Katrin Fischer 2017-06-05 12:22:04 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 17 Katrin Fischer 2017-06-22 09:31:21 UTC
Changing importance to trivial from enh, because of the follow-up patch with the typo fix.
Comment 18 Mason James 2017-07-31 11:03:35 UTC
Pushed to 16.05.x, for 16.05.15 release